BOMBARDMENT(1)

NAME
bombardment - Run Siege with an ever-increasing number of users

SYNOPSIS
bombardment [urlfile] [initial number of clients] [increment value] [number of increments] [delay]"
bombardment urlfile.txt 5 10 20 1

DESCRIPTION
bombardment is part of the Siege package. It calls siege with an initial number of clients. When that run finishes, it immediately calls siege again with that number of clients plus the increment. It does this the number of times specified in the fourth argument.

OPTIONS

urlfile
    The name of the file containing one or more URLs for siege to test.

initial number of clients
    The number of clients to be used on the first Siege run.

increment value
    The number of clients to add from run to run.

number of increments
    The number of times to run siege.

delay
    The is the amount of time, in seconds, that each client will wait between requests. The Siege default of 3 is overridden by bombardment and is 15.

NOTES
bombardment can very easily overcome process and filehandle limits. Siege DOES give a warning if it is going to exceed 600 concurrent processes. See your system documentation (or try ulimit -a) for information on the limits of your system before using a high number of concurrent users.

SEE ALSO
siege(1), urls_txt(5), layingsiege(7), siege2csv(1)

AUTHOR
Written by Peter Hutnick <phutnick@aperian.com>